import { FoundationElement } from '@microsoft/fast-foundation';
import { SearchBarCombobox } from './search-bar-combobox';
import { AvailableOption, SelectedOption } from './search-bar.types';
/**
 * @tagname %%prefix%%-search-bar
 */
export declare class SearchBar extends FoundationElement {
    combobox: SearchBarCombobox;
    defaultSlottedNodes: any;
    options: AvailableOption[];
    searchTerm: string;
    appearance: string;
    minlength: number;
    placeholder: string;
    disabled: boolean;
    loading: boolean;
    selectedOptions: SelectedOption[];
    filteredOptions: AvailableOption[];
    selectedOptionsDiv: HTMLDivElement;
    clear(): void;
    clearSearch(): void;
    inputdeleted(): void;
    changeHandler(): void;
    pasteHandler(event: ClipboardEvent): void;
    hasSelectedOption(term: string, field: string): boolean;
    unselectOption(option: any): void;
    inputHandler(): Promise<void>;
    private filterSelectedOptions;
    private normalizeDelimiter;
    private addOrReplaceSelectedText;
}
export declare const foundationSearchBarShadowOptions: ShadowRootInit;
export declare const defaultSearchBarConfig: {};
/**
 * The Foundation Search Bar
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-search-bar\>
 */
export declare const foundationSearchBar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<SearchBar, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<SearchBar, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}, typeof SearchBar>;
//# sourceMappingURL=search-bar.d.ts.map